Loading...
Searching...
No Matches
counter.hh File Reference
`#include <cassert>`
`#include <typeinfo>`
`#include <iostream>`
`#include <memory>`
`#include <tuple>`
`#include <utility>`
`#include <dune/common/typeutilities.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
namespace | Dune::CounterImpl

## Macros

#define | DUNE_GET_COUNTER(Tag)
#define | DUNE_INC_COUNTER(Tag)

## Variables

constexpr std::size_t | maxcount = 100

## Macro Definition Documentation

## DUNE_GET_COUNTER

#define DUNE_GET_COUNTER | ( |  | Tag | ) |

Value:
(counterFunc(Dune::PriorityTag<maxcount>{}, Tag{}, Dune::CounterImpl::ADLTag{}))

## DUNE_INC_COUNTER

#define DUNE_INC_COUNTER | ( |  | Tag | ) |

Value:
namespace { \
namespace CounterImpl { \
constexpr std::size_t \
counterFunc(Dune::PriorityTag<DUNE_GET_COUNTER(Tag)+1> p, Tag, ADLTag) \
{ \
return p.value; \
} \
} \
} \
static_assert(true, "unfudge indentation")
DUNE_GET_COUNTER
#define DUNE_GET_COUNTER(Tag)
Definition counter.hh:17

## Variable Documentation

## maxcount

std::size_t maxcount = 100

constexpr